Package org.eclipse.emf.cdo.transaction

# Enum Class CDOTransactionFinishedEvent.Type

java.lang.Object
java.lang.Enum<CDOTransactionFinishedEvent.Type>
org.eclipse.emf.cdo.transaction.CDOTransactionFinishedEvent.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<CDOTransactionFinishedEvent.Type>`, `Constable`

Enclosing interface:
  CDOTransactionFinishedEvent

@Deprecated public static enum CDOTransactionFinishedEvent.Type extends Enum<CDOTransactionFinishedEvent.Type>
Deprecated.
As of 4.3 use `CDOTransactionFinishedEvent.Cause`.
Enumerates the possible `causes` for a `transaction` to become finished.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMMITTED`
Deprecated.
`ROLLED_BACK`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static CDOTransactionFinishedEvent.Type`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static CDOTransactionFinishedEvent.Type[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMMITTED

public static final CDOTransactionFinishedEvent.Type COMMITTED
Deprecated.

### ROLLED_BACK

public static final CDOTransactionFinishedEvent.Type ROLLED_BACK
Deprecated.

## Method Details

### values

public static CDOTransactionFinishedEvent.Type[] values()
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CDOTransactionFinishedEvent.Type valueOf(String name)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null